#include <iostream>
#include <math.h>

int main()
{

	int p, q, r, R, L,n=0;
	scanf("%d %d %d %d %d", &p, &q,&r,&L,&R);
	for (int i = L; i <= R; i++) {
		float prez = i / p; 
		if(prez)
		if (ceil(i / p )+ ceil( i / q) + ceil(i / r )<= i) {
			n++;
		}
	}
	printf("%d", n);


}